Cancel a Payment Intent
You can cancel a PaymentIntent when it's in one of these statuses: requires_payment_method, requires_capture, requires_confirmation or requires_action.
After it's canceled, no additional charges are made by the PaymentIntent and any operations on the PaymentIntent fail with an error. For PaymentIntents with a status of requires_capture, the remaining amount_capturable is automatically refunded.
Path Parameters
- Type: stringidmax length:200required
Query Parameters
- Type: array string[]expand
Body·PaymentIntentCancelRequest
required
application/json
- Type: string | null · PaymentIntentCancellationReasonenumcancellation
_reason Reason for canceling this PaymentIntent. Possible values are:
duplicate,fraudulent,requested_by_customer, orabandonedvalues- abandoned
- duplicate
- fraudulent
- requested
_by _customer
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/v1/payment_intents/{id}/cancel
curl 'https://api.paypercut.io/v1/payment_intents/{id}/cancel?expand=' \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"cancellation_reason": "abandoned"
}'
{
"amount": 100,
"capture_method": "automatic",
"on_behalf_of": "string",
"statement_descriptor": null,
"setup_future_usage": "off_session",
"payment_method": "01K688H80Z3199KETHDJ4ZAFPS",
"customer": {
"email": null,
"name": null,
"phone": null,
"preferred_locales": [
"string"
],
"address": {
"city": null,
"country": null,
"line1": null,
"line2": null,
"postal_code": null,
"state": null
},
"invoice_settings": {
"default_payment_method": "01K688H80Z3199KETHDJ4ZAFPS"
},
"created": "2026-04-17T20:01:58.674Z",
"livemode": true,
"id": "string",
"payment_methods": [
{
"type": "card",
"card": {
"cardholder_name": null,
"brand": "string",
"country": null,
"issuer": null,
"display_brand": null,
"exp_month": 1,
"exp_year": 1,
"fingerprint": null,
"funding": "string",
"segment": "string",
"iin": "string",
"last4": "string",
"wallet": {
"dynamic_last4": "[Max Depth Exceeded]",
"type": "[Max Depth Exceeded]"
},
"three_d_secure_usage": {
"supported": true
}
},
"billing_details": {
"email": null,
"name": null,
"phone": null,
"address": {
"city": null,
"country": null,
"line1": null,
"line2": null,
"postal_code": null,
"state": null
}
},
"metadata": {
"additionalProperty": "string"
},
"customer": "string",
"id": "string",
"livemode": true,
"created": "2026-04-17T20:01:58.674Z"
}
]
},
"id": "21210021c2855007efa2d657018",
"amount_capturable": 100,
"amount_received": 100,
"currency": {
"iso": "usd",
"scale": 2
},
"status": "canceled",
"created": "2026-04-17T20:01:58.674Z",
"livemode": true,
"next_action": {
"redirect_to_url": {
"return_url": null,
"url": null
},
"type": "string",
"three_d_secure": {
"flow": "frictionless",
"status_url": "https://api.yourco.com/v1/payment_intents/pi_123",
"return_url": null,
"message": {
"allowed_origins": [
"https://merchant.example.com"
]
},
"hint": {
"scheme": "visa",
"version": "2.2.0"
},
"idempotency_key": "string"
}
},
"latest_payment": "01K755J9SV2364REVHB915Z2FW",
"cancellation_reason": "abandoned",
"canceled_at": "2026-04-17T20:01:58.674Z"
}
